package com.muyu.cloud.etl.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.cloud.etl.mapper.StructureMapper;
import com.muyu.cloud.etl.service.StructureService;
import com.muyu.domain.Structure;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class StructureServiceImpl extends ServiceImpl<StructureMapper, Structure> implements StructureService {

    @Override
    public List<Structure> findStructureList(Long id) {
        LambdaQueryWrapper<Structure> structureLambdaQueryWrapper = new LambdaQueryWrapper<>();
        structureLambdaQueryWrapper.eq(Structure::getTableId, id);
        List<Structure> list = this.list(structureLambdaQueryWrapper);
        return list;
    }
}

